From 169c913d87e4faeaeffcd344f83ffe895f13826e Mon Sep 17 00:00:00 2001
From: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Date: Fri, 19 Aug 2022 23:13:30 +0900
Subject: [PATCH 4/4] Fix build by namespace

Signed-off-by: Nobuhiro Iwamatsu <iwamatsu@debian.org>
---
 xrnn-runner/src/xrnn_hw.hpp | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

diff --git a/xrnn-runner/src/xrnn_hw.hpp b/xrnn-runner/src/xrnn_hw.hpp
index 638df90..078aef5 100644
--- a/xrnn-runner/src/xrnn_hw.hpp
+++ b/xrnn-runner/src/xrnn_hw.hpp
@@ -103,11 +103,11 @@ struct XRNN_REG_T
   uint32_t value;    
 };
 
-static std::vector<size_t> U25_DDR_BASE_CU0{
+static std::vector<std::size_t> U25_DDR_BASE_CU0{
   0x800000000,
 };
 
-static std::vector<size_t> U25_DDR_INIT_ADDR_CU0{
+static std::vector<std::size_t> U25_DDR_INIT_ADDR_CU0{
   0x800000000,
 };
 //Registers Fot U25
@@ -230,21 +230,21 @@ static std::vector<XRNN_REG_T> U25_OPENIE_REGS_CU0{
   {0x00000290, 0x03000000}, // index 74
 };
 //Batch address for U50
-static std::vector<size_t> U50_HBM_BATCH3_CU0{
+static std::vector<std::size_t> U50_HBM_BATCH3_CU0{
   23*0x10000000UL,
   25*0x10000000UL,
   27*0x10000000UL,
 //  29*0x10000000UL,
 };
 
-static std::vector<size_t> U50_HBM_BATCH4_CU1{
+static std::vector<std::size_t> U50_HBM_BATCH4_CU1{
   8*0x10000000UL,
   10*0x10000000UL,
   12*0x10000000UL,
   14*0x10000000UL,
 };
 
-static std::vector<size_t> U50_DDR_INIT_ADDR_CU1{
+static std::vector<std::size_t> U50_DDR_INIT_ADDR_CU1{
   0x00000000,
   0x10000000,
   0x20000000,
@@ -256,7 +256,7 @@ static std::vector<size_t> U50_DDR_INIT_ADDR_CU1{
   0xe0000000,
 };
 
-static std::vector<size_t> U50_DDR_INIT_ADDR_CU0{
+static std::vector<std::size_t> U50_DDR_INIT_ADDR_CU0{
   0x100000000,
   0x110000000,
   0x120000000,
-- 
2.36.1

